{/*SDOC*************************************************************

  Module: DLGID.pas

  Copyright (C) 2022 Gold Run Partners, Inc.  All rights reserved.

  Revision Date: 6 Feb 2022

*************************************************************EDOC*/}

unit DLGID;

interface

uses Windows;

Const

ID_PlaceHolder = 99;
ID_Tab = 101;
ID_Common = 1074;
ID_SwapText = 1077;
ID_OK = 1075;
ID_CANCEL = 1076;
ID_Help = 1079;
ID_LIKE = 1080;
ID_APPLY = 1081;
ID_DlgTitle = 1082;
ID_Print = 1083;
ID_ABORT = 1084;
ID_LayerGroupBase = 1024;
CB_Base = 1124;
ID_CB1 = 1125;
ID_CB2 = 1126;
ID_CBSymbolName = 1127;
ID_CBHatchName = 1129;
ID_CBName = 1130;
ID_CBFont = 1131;
ID_CBLayer = 1132;
ID_CBColor = 1133;
ID_CBWidth = 1134;
ID_LBWidth = 1135;
ID_CBEList = 1136;
ID_LBLayer = 1137;
ID_LBColor = 1138;
ID_CBLtype = 1139;
ID_LBLtype = 1140;
ID_LB1 = 1141;
ID_LB2 = 1142;
ID_CBColor1 = 1144;
ID_CBColor2 = 1145;
ID_CBColor3 = 1146;
ID_CBColor4 = 1147;
ID_CBColor5 = 1148;
ID_CBColor6 = 1149;
ID_CBColorChange = 1150;
ID_LBColorChange = 1151;
ID_CBColorFilter = 1152;
ID_LBColorFilter = 1153;
ID_CB3 = 1154;
ID_CB4 = 1155;
ID_LB3 = 1156;
ID_LB4 = 1157;
ID_CBFont1 = 1158;
ID_CBFont2 = 1159;
ID_LBFont = 1160;
ID_LBFont1 = 1161;
ID_LBFont2 = 1162;
ID_LBFont3 = 1163;
ID_CB5 = 1164;
ID_CB6 = 1165;
ID_CB7 = 1166;
ID_CB8 = 1167;
ID_CB9 = 1168;
ID_CB10 = 1169;
ID_LB5 = 1170;
ID_LB6 = 1171;
ID_LB7 = 1172;
IDC_COMBO1 = 1173;
ED_Base = 1224;
ID_EDAngle = 1225;
ID_EDScaleX = 1226;
ID_EDScaleY = 1227;
ID_EDRight = 1228;
ID_EDIncSnap = 1229;
ID_EDOrthoAngle = 1230;
ID_EDLeft = 1231;
ID_EDFilletRad = 1232;
ID_ED1 = 1233;
ID_ED2 = 1234;
ID_ED3 = 1235;
ID_ED4 = 1236;
ID_ED5 = 1237;
ID_ED6 = 1238;
ID_ED7 = 1239;
ID_ED8 = 1240;
ID_ED9 = 1241;
ID_ED10 = 1242;
ID_ED11 = 1243;
ID_ED12 = 1244;
ID_ED13 = 1245;
ID_ED14 = 1246;
ID_ED15 = 1247;
ID_ED16 = 1248;
ID_ED17 = 1249;
ID_ED18 = 1250;
ID_ED19 = 1251;
ID_EDRFName = 1252;
BT_Base = 1324;
ID_BTMatch = 1325;
ID_BTFlip90 = 1326;
ID_BTSymPlace = 1327;
ID_BTHatchPreview = 1328;
ID_BTPreview = 1329;
ID_BTFlipX = 1330;
ID_BTFlipY = 1331;
ID_BT1 = 1333;
ID_BT2 = 1334;
ID_BT3 = 1335;
ID_BT4 = 1336;
ID_BT5 = 1337;
ID_BT6 = 1338;
ID_BT7 = 1339;
ID_StyleLoad = 1340;
ID_StyleSave = 1341;
ID_BT8 = 1342;
ID_BT9 = 1343;
ID_BT10 = 1344;
ID_BT11 = 1345;
ID_BT12 = 1346;
ID_BT13 = 1347;
ID_BT14 = 1348;
ID_BT15 = 1349;
ID_BT16 = 1350;
ID_BT17 = 1351;
ID_BTMatchOne = 1352;
ID_HELP_VC = 1353;
ID_BTApply = 1354;
ID_BTMinus = 1355;
ID_BTDelete = 1356;
ID_BTMoveTo = 1357;
ID_BTCopyTo = 1358;
ID_BTGroups = 1359;
ID_BTSymMat = 1360;
ID_LMVisible = 1361;
ID_LMPrint = 1362;
ID_LMLock = 1363;
ID_LMCurrent = 1364;
ID_LMProperties = 1365;
ID_LMSort = 1366;
ID_LMSelectAll = 1367;
ID_LMFlyout = 1368;
ID_LMShortList = 1369;
ID_LMMoveTo = 1370;
ID_LMCopyTo = 1371;
ID_LMDisplayGroups = 1372;
ID_LMApplyToMDI = 1373;
ID_LMUseByLayer = 1374;
ID_LMSnapAllLayers = 1375;
ID_LGAdd = 1381;
ID_LGModify = 1382;
ID_LGDelete = 1383;
ID_LGBSDivider = 1385;
ID_LGComboBox = 1386;
ID_LGEditBox = 1387;
ID_LGListBox = 1388;
ID_LGGroupLabel = 1389;
ID_BTMatchD = 1400;
ID_BTMatchA = 1401;
ID_BTMatchV = 1402;
ID_BTMatchM = 1403;
CHK_Base = 1424;
ID_CHKAutoFillet = 1425;
ID_CHKSolid = 1426;
ID_CHKIncSnap = 1427;
ID_CHKCursorFree = 1428;
ID_CHKOrthoMode = 1429;
ID_CHKOrthoMirrorLR = 1430;
ID_CHKOrthoMirrorUD = 1431;
ID_CHK1 = 1430;
ID_CHK2 = 1431;
ID_CHK3 = 1432;
ID_CHK4 = 1433;
ID_CHK5 = 1434;
ID_CHK6 = 1435;
ID_CHK7 = 1436;
ID_CHK8 = 1437;
ID_CHK9 = 1438;
ID_CHK10 = 1439;
ID_CHK11 = 1440;
ID_CHK12 = 1441;
ID_CHK13 = 1442;
ID_CHK14 = 1443;
ID_CHK15 = 1445;
ID_CHK16 = 1446;
ID_CHK17 = 1447;
ID_CHK18 = 1448;
ID_CHK19 = 1449;
ID_CHK20 = 1450;
ID_FOLDER32 = 1475;
ID_FOLDER16 = 1476;
ID_FOLDER16OPEN = 1477;
ID_FOLDER16BACK = 1478;
ID_FOLDER32BACK = 1479;
ID_SYMBOLMGRMENU = 1480;
ID_FDDRIVE = 1481;
ID_HDDRIVE = 1482;
ID_CDDRIVE = 1483;
ID_NETDRIVE = 1484;
ID_DOCMGRMENU = 1485;
RAD_Base = 1524;
ID_RAD1 = 1525;
ID_RAD2 = 1526;
ID_RAD3 = 1527;
ID_RAD4 = 1528;
ID_RAD5 = 1529;
ID_RAD6 = 1530;
ID_RAD7 = 1531;
ID_RAD8 = 1532;
ID_RAD9 = 1533;
ID_RAD10 = 1534;
ID_RAD11 = 1535;
ID_RAD12 = 1536;
ID_RAD13 = 1537;
ID_RAD14 = 1538;
ID_RAD15 = 1539;
TEXT_Base = 1624;
ID_TEXT1 = 1625;
ID_TEXT2 = 1626;
ID_TEXT3 = 1627;
ID_TEXT4 = 1628;
ID_TEXT5 = 1629;
ID_TEXT6 = 1630;
ID_TEXT7 = 1631;
ID_TEXT8 = 1632;
ID_TEXT9 = 1633;
ID_TEXT10 = 1634;
ID_TEXT11 = 1635;
ID_TEXT12 = 1636;
ID_TEXT13 = 1637;
ID_TEXT14 = 1638;
ID_TEXT15 = 1639;
ID_TEXT16 = 1640;
ID_TEXT17 = 1641;
ID_TEXT18 = 1642;
ID_TEXT19 = 1643;
ID_TEXT20 = 1644;
ID_TEXT21 = 1645;
IDC_LTEXT1 = 1646;
ID_ExplorerBigIcon = 1650;
ID_ExplorerSmallIcon = 1651;
ID_ExplorerList = 1652;
ID_ExplorerReport = 1653;
ID_ExplorerFileDelete = 1654;
ID_ExplorerShowSettings = 1655;
ID_ExplorerShowFolders = 1656;
ID_ExplorerSymbolsOnDisk = 1657;
ID_ExplorerPowerGroup = 1658;
ID_ExplorerFolderBack = 1659;
ID_BTAE = 1660;
ID_BTUC = 1661;
ID_BTPP = 1662;
ID_ShowSymsOnDisk = 1804;
ID_ShowSymsLoaded = 1805;
ID_HideExt = 1806;
ID_AutoExplode = 1814;
ID_ExplorerRefresh = 1815;
ID_CancelSymbolPlace = 1816;
BMP_Base = 1724;
ID_BMPDRAW = 1725;
ID_BMPZOOM = 1726;
ID_BMPSNAP = 1727;
ID_BMPEDIT = 1728;
ID_BMPMODIFY = 1729;
ID_BMP1 = 1730;
ID_BMP3 = 1731;
ID_Base = 1774;
ID_1 = 1775;
ID_2 = 1776;
ID_3 = 1777;
ID_4 = 1778;
ID_5 = 1779;
ID_6 = 1780;
ID_7 = 1781;
ID_8 = 1782;
ID_Tab0 = 1783;
ID_Tab1 = 1784;
ID_Tab2 = 1785;
ID_Tab3 = 1786;
ID_Tab4 = 1787;
ID_Tab5 = 1788;
ID_Tab6 = 1789;
ID_ST1 = 1791;
ID_ST2 = 1792;
ID_ST3 = 1793;
ID_ST4 = 1794;
ID_PositionChild = 1795;
ID_Preview = 1796;
ID_9 = 1797;
ID_10 = 1798;
ID_11 = 1799;
ID_12 = 1801;
ID_13 = 1802;
ID_14 = 1803;
ID_15 = 1804;
ID_16 = 1805;
ID_17 = 1806;
ID_18 = 1807;
ID_19 = 1808;
ID_20 = 1809;
ID_21 = 1810;
ID_22 = 1811;
ID_23 = 1812;
ID_24 = 1813;
ID_25 = 1814;
ID_26 = 1815;
ID_27 = 1816;
ID_28 = 1817;
ID_29 = 1818;
ID_30 = 1819;
ID_G1 = 1814;
ID_G2 = 1815;
ID_G3 = 1816;
ID_G4 = 1817;
ID_G5 = 1818;
ID_G6 = 1819;
ID_G7 = 1820;
ID_G8 = 1821;
ID_G9 = 1822;
ID_G10 = 1823;
ID_StatusBase = 1824;
ID_STANGLE = 1825;
ID_STDIST = 1826;
ID_STXY = 1827;
ID_STMESSAGE = 1828;
ID_NotifyCodes = 1874;
DLG_CHANGEFOCUS = 1875;
DLG_LBCHANGE = 1876;
DLG_EDCHANGE = 1877;
ID_RETURN = 1878;
DLG_DBASE = 1024;
ID_EKind = 1026;
ID_ESelect = 1027;
ID_EErase = 1028;
ID_EPurge = 1029;
ID_EUndo = 1030;
ID_EHandle = 1032;
ID_EPList = 1033;
ID_EReset = 1035;
ID_EOrder = 1036;
ID_ECount = 1037;
ID_EClose = 1038;
ID_EColor = 1039;
ID_ELtype = 1040;
ID_EWidth = 1041;
ID_ELayer = 1042;
ID_EPointCnt = 1043;
ID_EList = 1045;
ID_ERedo = 1031;
ID_EErasedonly = 1048;
ID_EValidonly = 1049;
ID_ESelectonly = 1050;
ID_EUndoLev = 1051;
ID_EFWidth = 1053;
ID_EByLayer = 1054;
ID_LBSourceSelectAll = 1001;
ID_LBSourceInvertSelection = 1002;
ID_LBSourceClear = 1003;
ID_LBAddToTarget = 1004;
ID_LBTargetSelectAll = 1011;
ID_LBTargetInvertSelection = 1012;
ID_LBTargetClear = 1013;
ID_LBRemoveFromTarget = 1014;
ID_LBColor1 = 1015;
ID_ED20 = 1017;
ID_ED21 = 1018;
ID_ED22 = 1019;
ID_ED23 = 1020;
ID_ED24 = 1021;
